Why can't I download the app?

Let's check the operating system (OS) on your device.  

EMconnect  has the following minimum OS requirements:

  • iOS 10
  • Android 6.0 (Marshmallow)

For iOS, EMconnect may work on previous operating systems but you may not experience full functionality or optimum display.

For Android, you will not see EMconnect in the Play Store if your device is using an earlier operating system.

To check your operating system on Android:

  •        Open your device's 'Settings'
  •        Tap 'About Phone' or 'About Device'
  •        Tap 'Android Version' to display your version information

To check your operating system on iOS:

  •        Open your device's 'Settings'
  •        Tap 'About'
  •        Scroll down to 'Version'

Find your answer:
Search our extensive knowledge base to get the answer.

Need more help?
Tap the beacon (blue and white icon in the bottom right corner) and tap 'Ask' to submit your question to the   EMconnect  Support Team.